/////////////////////////////////////////////////////////////////////////////
// Name:        device_24LC02.h
// Purpose:     serial EEPROM 24LC02
// Package:     ASIX FORTE programmer demo software
//              distributed as-is, without any warranties
// Author:      http://www.asix.net/
// Created:     2016
/////////////////////////////////////////////////////////////////////////////

#ifndef _DEVICE24LC02_H
#define _DEVICE24LC02_H

// ----------------------------------------------------------------------------
// headers
// ----------------------------------------------------------------------------

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

// for all others, include the necessary headers (this file is usually all you
// need because it includes almost all "standard" wxWidgets headers)
#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif

// header files
#include "device.h"

// ----------------------------------------------------------------------------
// class Device24LC02
// ----------------------------------------------------------------------------

class Device24LC02: public Device
{
public:
    // Constructor and destructor
    Device24LC02();
    //variables
    //
    // functions
    virtual wxString GetName();
    virtual wxString GetShortHint();
    virtual wxString GetLongHint();
    virtual int GetMemoryWordSize(int memory_index);
    virtual int GetMemoryWordCount(int memory_index);
    virtual void RegisterActions();
    virtual void RegisterSettings();
    //
    void Read();
    void Write();
    void Verify();
    int ReadToBuffer(bool use_screen_buffer);
private:
    wxFloatProperty* prop_supply;
    wxBoolProperty* prop_verify_write;
};

#endif /* _DEVICE24LC02_H*/
